using Microsoft.Practices.EnterpriseLibrary.Caching.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;
using Microsoft.Practices.EnterpriseLibrary.Caching.BackingStoreImplementations;

namespace CachingCoreTests
{
    [Assembler(typeof(TypeInstantiationAssembler<IStorageEncryptionProvider, StorageEncryptionProviderData>))]
    public class MockEncryptionProviderData : StorageEncryptionProviderData
    {
        public MockEncryptionProviderData()
        {
        }

        public MockEncryptionProviderData(string name)
			: base(name, typeof(MockEncryptionProvider))
		{
		}
    }
}
