using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration; 
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;    
namespace ConfigurationCoreTests.Configuration
{
    public class CarPartsData:ConfigurationElement 
    {
        private const string wheeltype = "wheeltype";

        public CarPartsData() : base() { }

        public CarPartsData(string name) : base() { } 
        
        public CarPartsData(string name,string wheeltype):base()
        {
            this.WheelType = wheeltype; 
        }

        [ConfigurationProperty("wheeltype", IsRequired = true)]
        public string WheelType
        {
            get
            {
                return (string)this[wheeltype];
            }
            set
            {
                this[wheeltype] = value;
            }
        }
    }
}
