using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.Collections.Specialized;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Configuration;
using System.IO;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace ExceptionHandlingLoggingTests
{
    [ConfigurationElementType(typeof(CustomHandlerData))]
    public class CustomExceptionHandlerLogging : IExceptionHandler
    {

        public static bool exceptionOccurred = false;
        private const string fileName = "CustomHandler.txt";
        public static NameValueCollection attributes;

        public CustomExceptionHandlerLogging()
        {
        }

        public CustomExceptionHandlerLogging(NameValueCollection attributes)
        {
            CustomExceptionHandlerLogging.attributes = attributes;
        }

        public Exception HandleException(Exception exception, Guid correlationID)
        {
            exceptionOccurred = true;

            File.WriteAllText(fileName, exception.Message);
            return exception;
        }
    }

}
