using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using ConfigurationCoreTests.Configuration; 
namespace ConfigurationCoreTests
{
    [ConfigurationElementType(typeof(SoftwareItemData))]
    class SoftwareItem:CommonItem
    {
        string version = "";
        public SoftwareItem(decimal Price, int Quantity,string version):base(Price,Quantity)  
        {
            this.version = version; 
        }

        #region IItem Members

        public decimal CalculateTotal()
        {
            decimal total = base.CalculateTotal(); 
            if(version.Equals("1.0.0.0"))
            {
                return total; 
            }
            return total * (decimal)0.9;  
        }

        #endregion
    }
}
