using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Management.Instrumentation;
using Microsoft.Practices.EnterpriseLibrary.Common.Instrumentation;
using InstrumentedAttribute = System.Management.Instrumentation.InstrumentedAttribute;

namespace ConfigurationCoreTests.Instrumentation
{
    [RunInstaller(true)]
    public partial class Installer1 : DefaultManagementProjectInstaller
    {
        /// <summary>
        /// Represents the installer for the instrumentation events. Not intended for direct use.
        /// </summary>
        public Installer1()
        {
            Installers.Add(new ReflectionInstaller<EventLogInstallerBuilder>());
            Installers.Add(new ReflectionInstaller<PerformanceCounterInstallerBuilder>());
        }
    }
}