using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;


namespace FileSourceAppExceptionTests
{
    /// <summary>
    /// Summary description for ExceptionAppTestFixture
    /// </summary>
    [TestClass]
    public class ExceptionAppTestFixture
    {
        public ExceptionAppTestFixture()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void ReplaceThrowNewSameAssemblyAppTest()
        {
            bool exceptionRaised = false;
            bool rethrow = false;
            try
            {
                Exception originalException = new System.Security.SecurityException("Original Exception: Security Exception");
                rethrow = ExceptionPolicy.HandleException(originalException, "Replace ThrowNew Same Assembly");
                if (rethrow) throw originalException;

            }
            catch (Exception e)
            {
                exceptionRaised = true;
                Assert.AreEqual("Replaced Exception: Security Exception Replaced with Verification Exception", e.Message);
                Assert.AreEqual("VerificationException", e.GetType().Name);
            }

            Assert.AreEqual(true, exceptionRaised);
        }
    }
}
